> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Quote Submission

> Create a new quote submission. Staff/Administrator only.
If reply_by_time is not provided, defaults to current date + 10 working days.



## OpenAPI

````yaml /api/openapi-cutmake.json post /quote-submissions
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /quote-submissions:
    post:
      tags:
        - Master Data
      summary: Add Quote Submission
      description: >-
        Create a new quote submission. Staff/Administrator only.

        If reply_by_time is not provided, defaults to current date + 10 working
        days.
      operationId: add_quote_submission_quote_submissions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteSubmissionCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteSubmissionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    QuoteSubmissionCreate:
      properties:
        clientName:
          type: string
          title: Clientname
        personInCharge:
          type: string
          title: Personincharge
        replyByTime:
          anyOf:
            - type: string
            - type: 'null'
          title: Replybytime
        status:
          anyOf:
            - type: string
              enum:
                - rejected
                - pending
                - accepted
            - type: 'null'
          title: Status
          default: pending
      type: object
      required:
        - clientName
        - personInCharge
      title: QuoteSubmissionCreate
      description: Schema for creating a quote submission
    QuoteSubmissionResponse:
      properties:
        id:
          type: string
          title: Id
        clientName:
          type: string
          title: Clientname
        personInCharge:
          type: string
          title: Personincharge
        createdAt:
          type: string
          title: Createdat
        replyByTime:
          type: string
          title: Replybytime
        status:
          type: string
          enum:
            - rejected
            - pending
            - accepted
          title: Status
      type: object
      required:
        - id
        - clientName
        - personInCharge
        - createdAt
        - replyByTime
        - status
      title: QuoteSubmissionResponse
      description: Schema for quote submission response - uses camelCase per API_STANDARDS
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````